#!/bin/sh

# install.sh
# 
#
# Created by Enzo P on 26/01/11.
# Copyright 2011 All rights reserved.

DAEMON="sw/daemon_showDesktop"
KILL_PROCESS="sw/showDesktopSignal"
AUTORUN_TARGET="/usr/share/gnome/autostart"
AUTORUN_FILE="sw/daemon_sd.desktop"
EXEC_PATH="/usr/bin"

#Controllo ROOT
rootCheck() {
	echo "..................start install................."
	echo -n "*** Check for root..."
	if [ $USER != "root" ]; then
		echo -e "\b\b\b - failed"
		echo "*** Please retry as root user."
       		echo "press any key to exit.... " 
       		read n
		exit 
	fi

echo "\n - ok -"
}

#Copia binari
binaryCopy() {
	cp -f $AUTORUN_FILE $AUTORUN_TARGET
	cp -f $DAEMON $EXEC_PATH
	cp -f $KILL_PROCESS $EXEC_PATH
	chmod a+rwx $AUTORUN_TARGET/daemon_sd.desktop
	cp -f $AUTORUN_FILE /usr/share/applications
	chmod a+rwx /usr/share/applications/daemon_sd.desktop
	
	cp -f sw/signal_sd.desktop /usr/share/applications
	chmod a+rwx /usr/share/applications/signal_sd.desktop
}

#Installazione wmctrl
wmctrlSetup() {
	echo " ..................installazione wmctrl................."
	apt-get install wmctrl 
}

#inizio
rootCheck
binaryCopy
wmctrlSetup
#fine


#Riavvio del sistema
echo "Riavviare il sistema per applicare le modifiche (y/n)"
read var
if [ $var = "y" ]; then
	shutdown -r now
fi




